<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <satGuard>
        <camera name = "wide"/>
        <camera name = "tele"/>
        <camera name = "ultra_wide"/>
    </satGuard>

    <rule name = "ZOOM[0.99 - 1.01) Entering macro pre dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "ultra_wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) Exiting macro pre dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "2"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) In macro dual stream for vcm">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "3"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) macro stop dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "4"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.4-1.0)">
        <condition name = "ZOOM_RATIO" min = "0.4" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>

        <rule name = "ZOOM[0.6-1.0) high brightness">
            <condition name = "ZOOM_RATIO" min = "0.6" max = "1.0"/>
            <condition name = "LUX_INDEX" min = "0" max = "300" hysteresis_max = "40.0"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "ZOOM[0.99) macro dual stream">
            <condition name = "ZOOM_RATIO" min = "0.99" max = "0.999"/>
            <condition name = "ZOOM_STATUS" min = "1" max = "4"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "ZOOM[1.0-3.0)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "3.0"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>

        <rule name = "ZOOM[1.5,3.0)">
            <condition name = "ZOOM_RATIO" min = "1.5" max = "3.0"/>
            <condition name = "LUX_INDEX" min = "0" max = "300" hysteresis_max = "40.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "ZOOM[3.0-6.0x) ">
        <condition name = "ZOOM_RATIO" min = "3.0" max = "6.0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>

        <rule name = "ZOOM[3.0-6.0x) lower brightness">
            <condition name = "ZOOM_RATIO" min = "3.0" max = "6.0"/>
            <condition name = "LUX_INDEX" min = "400" max = "9999" hysteresis_min = "40.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>

    </rule>

    <rule name = "ZOOM[6.0-10.0x) ">
        <condition name = "ZOOM_RATIO" min = "6.0" max = "10.0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>

        <rule name = "ZOOM[6.0-10.0x) lower brightness">
            <condition name = "ZOOM_RATIO" min = "6.0" max = "10.0"/>
            <condition name = "LUX_INDEX" min = "400" max = "9999" hysteresis_min = "40.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>

    </rule>

    <rule name = "ZOOM[10.0-30.1)">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "30.1"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
    </rule>
</MultiCameraConfigTable>
